Subject: Re: can't open file for writing
From: Peter Rehley <[email-masked]>
To: C Schreiner <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Sep 2004 14:36:49 -0700

On Sep 3, 2004, at 2:33 PM, C Schreiner wrote:

> I can not save to a nonexistant file name under
> Cygwin, but I can under Windows.
>
> When I type:
>
>    cat "hello" > foo.txt
Does the file "hello" exist?  Try echo "hello" > foo.txt
>
> under Cygwin I get this error message:
>
>    bash: foo.txt: No such file or directory
>
> (unless foo.txt already exists in the current
> directory).  This only happens with network
> filesystems.  I know I have write permission because I
> can create the file with "touch foo.txt", and I can
> create the files with Windows Wordpad.  Other programs
> under Cygwin also cannot create files, such as vim,
> and co (from the rcs package).  Things work fine for
> all programs on the local C: drive.
>
> Why does this problem occur under Cygwin?  Is there
> maybe a workaround?
>
> I have not seen anything about this in the Cygwin FAQ
> or in two mailing list archive searches.  If there is
> already documentation about this, please point me to
> it.
>
> I am using Windows XP professional 5.1.2600 SP 1.0,
> and Cygwin DLL version 1.5.10-3 (setup program version
> 2.427).
>
> Thank you for your consideration,
>
>
> Christian Schreiner
> caschreirc (at) yahoo (dot) com
>
>
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around
> http://mail.yahoo.com
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/